Tuesday, June 24, 2014

installing pLoader of piwigo on linux mint

it is not easy to install ploader on linux mint

first have to download the .gz file then

run the .sh file

1)First of all, download the file that you are going to execute e.g. "name_of_file.sh" and save it in your Desktop

2)Secondly open the Terminal from Menu  Accessories  Terminal

3)Now type cd ~/Desktop (With this command we change the default directory "/" to "/Desktop")

4)Then type chmod +x name_of_file.sh to make your file executable.

5)Then type sh ./name_of_file.sh to execute the file.

6)After that continue as usual.

 --------------
on running the file i got an error

user@smuser ~/Downloads $ ls
52742477_1403570615231.pdf   piwigo-2.6.3.zip           PWG_Stuffs_2.6.b.zip
Lychee-master.zip            pLoader-1.5_ubuntu         tunein-station.pls
other                        pLoader-1.5_ubuntu.tar.gz
photocrati-theme-v4.7.2.zip  plogger-1.0RC1.zip
user@smuser ~/Downloads $ cd pLoader-1.5_ubuntu
user@smuser ~/Downloads/pLoader-1.5_ubuntu $ ls
bin  locale  res
user@smuser ~/Downloads/pLoader-1.5_ubuntu $ cd bin
user@smuser ~/Downloads/pLoader-1.5_ubuntu/bin $ ls
pLoader-1.5_linux       pLoader-1.5_ubuntu9.04  pLoader.sh
pLoader-1.5_ubuntu8.04  pLoader-1.5_ubuntu9.10  properties.ini
pLoader-1.5_ubuntu8.10  pLoader.ini
user@smuser ~/Downloads/pLoader-1.5_ubuntu/bin $ chmod +x ploader.sh
chmod: cannot access ‘ploader.sh’: No such file or directory
user@smuser ~/Downloads/pLoader-1.5_ubuntu/bin $ chmod +x pLoader.sh
user@smuser ~/Downloads/pLoader-1.5_ubuntu/bin $ sh ./pLoader.sh
Can't load '/tmp/par-user/cache-0946827dd4e3f1367bfd5c31f6b4f516/16da9af7.so' for module Wx: libjpeg.so.62: cannot open shared object file: No such file or directory at /usr/lib/perl/5.8/DynaLoader.pm line 225.
 at /usr/local/share/perl/5.8.8/PAR/Heavy.pm line 128
Compilation failed in require at script/ploader.pl line 23.
BEGIN failed--compilation aborted at script/ploader.pl line 23.

-----------------
Here comes a fresh tutorial to launch pLoader from sources, and this should solve your problem. pLoader will be installed in your home directory.

Code:

sudo apt-get install perl libwx-perl-processstream-perl libfile-slurp-perl libfile-homedir-perl libjson-perl libdigest-md5-file-perl libimage-exiftool-perl subversion
svn co  http://piwigo.org/svn/extensions/pLoader/trunk $HOME/pLoader


Then in the top panel, let's add a launcher:

1) right-click on the top panel, "Add to panel", "Custom Application Launcher", button "Add"
2) fill the fields:

Type : Application
Name : pLoader
Command : perl /home/plg/pLoader/src/ploader.pl

3) click on the "Ok" button

A new shortcut appears, feel free to click on it :-)
http://piwigo.org/forum/viewtopic.php?id=15649
------------------------------------------------------------------------------------------------------------


smuseradmin@smuser ~/Downloads/pLoader-1.5_ubuntu/bin $ sudo apt-get install perl libwx-perl-processstream-perl libfile-slurp-perl libfile-homedir-perl libjson-perl libdigest-md5-file-perl libimage-exiftool-perl subversion
[sudo] password for smuseradmin:
Sorry, try again.
[sudo] password for smuseradmin:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
perl is already the newest version.
The following extra packages will be installed:
  libalien-wxwidgets-perl libapr1 libaprutil1 libc-dev-bin libc6-dev libfile-which-perl libserf1 libsvn1 libwx-perl
  libwxbase2.8-0 libwxbase2.8-dev libwxgtk2.8-0 libwxgtk2.8-dev wx-common wx2.8-headers
Suggested packages:
  glibc-doc wx2.8-doc libstdc++-dev libgl1-mesa-dev libgl-dev xlibmesa-glu-dev libglu-dev subversion-tools db5.1-util
Recommended packages:
  libjson-xs-perl
The following NEW packages will be installed:
  libalien-wxwidgets-perl libapr1 libaprutil1 libc-dev-bin libc6-dev libdigest-md5-file-perl libfile-homedir-perl
  libfile-slurp-perl libfile-which-perl libimage-exiftool-perl libjson-perl libserf1 libsvn1 libwx-perl
  libwx-perl-processstream-perl libwxbase2.8-0 libwxbase2.8-dev libwxgtk2.8-0 libwxgtk2.8-dev subversion wx-common
  wx2.8-headers
0 upgraded, 22 newly installed, 0 to remove and 10 not upgraded.
Need to get 17.4 MB of archives.
After this operation, 62.3 MB of additional disk space will be used.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
  libapr1 libaprutil1 libserf1 libsvn1 libwxbase2.8-0 libwxgtk2.8-0 wx-common wx2.8-headers libc-dev-bin libc6-dev
  libwxbase2.8-dev libwxgtk2.8-dev libalien-wxwidgets-perl libdigest-md5-file-perl libfile-which-perl libfile-homedir-perl
  libimage-exiftool-perl libjson-perl libwx-perl libwx-perl-processstream-perl subversion libfile-slurp-perl
Install these packages without verification [y/N]? y
Get:1 http://archive.ubuntu.com/ubuntu/ saucy/main libapr1 i386 1.4.8-1ubuntu1 [96.8 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ saucy/main libaprutil1 i386 1.5.2-1 [92.3 kB]
Get:3 http://archive.ubuntu.com/ubuntu/ saucy/main libserf1 i386 1.1.0-2ubuntu1 [44.2 kB]
Get:4 http://archive.ubuntu.com/ubuntu/ saucy/main libsvn1 i386 1.7.9-1+nmu6ubuntu3 [1,074 kB]
Get:5 http://archive.ubuntu.com/ubuntu/ saucy-updates/universe libwxbase2.8-0 i386 2.8.12.1-14ubuntu1.1 [592 kB]          
Get:6 http://archive.ubuntu.com/ubuntu/ saucy-updates/universe libwxgtk2.8-0 i386 2.8.12.1-14ubuntu1.1 [3,206 kB]          
Get:7 http://archive.ubuntu.com/ubuntu/ saucy-updates/universe wx-common i386 2.8.12.1-14ubuntu1.1 [52.0 kB]              
Get:8 http://archive.ubuntu.com/ubuntu/ saucy-updates/universe wx2.8-headers i386 2.8.12.1-14ubuntu1.1 [1,506 kB]          
Get:9 http://archive.ubuntu.com/ubuntu/ saucy/main libc-dev-bin i386 2.17-93ubuntu4 [74.9 kB]                              
Get:10 http://archive.ubuntu.com/ubuntu/ saucy/main libc6-dev i386 2.17-93ubuntu4 [5,519 kB]                              
Get:11 http://archive.ubuntu.com/ubuntu/ saucy-updates/universe libwxbase2.8-dev i386 2.8.12.1-14ubuntu1.1 [31.3 kB]      
Get:12 http://archive.ubuntu.com/ubuntu/ saucy-updates/universe libwxgtk2.8-dev i386 2.8.12.1-14ubuntu1.1 [31.6 kB]        
Get:13 http://archive.ubuntu.com/ubuntu/ saucy/universe libalien-wxwidgets-perl i386 0.64+dfsg-1 [19.3 kB]                
Get:14 http://archive.ubuntu.com/ubuntu/ saucy/universe libdigest-md5-file-perl all 0.08-1 [9,926 B]                      
Get:15 http://archive.ubuntu.com/ubuntu/ saucy/main libfile-which-perl all 1.09-1 [11.6 kB]                                
Get:16 http://archive.ubuntu.com/ubuntu/ saucy/main libfile-homedir-perl all 0.99-1 [45.5 kB]                              
Get:17 http://archive.ubuntu.com/ubuntu/ saucy/universe libimage-exiftool-perl all 9.13-1 [2,834 kB]                      
Get:18 http://archive.ubuntu.com/ubuntu/ saucy/main libjson-perl all 2.59-1 [93.5 kB]                                      
Get:19 http://archive.ubuntu.com/ubuntu/ saucy/universe libwx-perl i386 1:0.9922-1 [1,723 kB]                              
Get:20 http://archive.ubuntu.com/ubuntu/ saucy/universe libwx-perl-processstream-perl all 0.32-1 [20.8 kB]                
Get:21 http://archive.ubuntu.com/ubuntu/ saucy/main subversion i386 1.7.9-1+nmu6ubuntu3 [279 kB]                          
Get:22 http://archive.ubuntu.com/ubuntu/ saucy/main libfile-slurp-perl all 9999.19-2 [41.0 kB]                            
Fetched 17.4 MB in 2min 36s (111 kB/s)                                                                                    
Selecting previously unselected package libapr1.
(Reading database ... 145913 files and directories currently installed.)
Unpacking libapr1 (from .../libapr1_1.4.8-1ubuntu1_i386.deb) ...
Selecting previously unselected package libaprutil1.
Unpacking libaprutil1 (from .../libaprutil1_1.5.2-1_i386.deb) ...
Selecting previously unselected package libserf1:i386.
Unpacking libserf1:i386 (from .../libserf1_1.1.0-2ubuntu1_i386.deb) ...
Selecting previously unselected package libsvn1:i386.
Unpacking libsvn1:i386 (from .../libsvn1_1.7.9-1+nmu6ubuntu3_i386.deb) ...
Selecting previously unselected package libwxbase2.8-0:i386.
Unpacking libwxbase2.8-0:i386 (from .../libwxbase2.8-0_2.8.12.1-14ubuntu1.1_i386.deb) ...
Selecting previously unselected package libwxgtk2.8-0:i386.
Unpacking libwxgtk2.8-0:i386 (from .../libwxgtk2.8-0_2.8.12.1-14ubuntu1.1_i386.deb) ...
Selecting previously unselected package wx-common.
Unpacking wx-common (from .../wx-common_2.8.12.1-14ubuntu1.1_i386.deb) ...
Selecting previously unselected package wx2.8-headers.
Unpacking wx2.8-headers (from .../wx2.8-headers_2.8.12.1-14ubuntu1.1_i386.deb) ...
Selecting previously unselected package libc-dev-bin.
Unpacking libc-dev-bin (from .../libc-dev-bin_2.17-93ubuntu4_i386.deb) ...
Selecting previously unselected package libc6-dev:i386.
Unpacking libc6-dev:i386 (from .../libc6-dev_2.17-93ubuntu4_i386.deb) ...
Selecting previously unselected package libwxbase2.8-dev.
Unpacking libwxbase2.8-dev (from .../libwxbase2.8-dev_2.8.12.1-14ubuntu1.1_i386.deb) ...
Selecting previously unselected package libwxgtk2.8-dev.
Unpacking libwxgtk2.8-dev (from .../libwxgtk2.8-dev_2.8.12.1-14ubuntu1.1_i386.deb) ...
Selecting previously unselected package libalien-wxwidgets-perl.
Unpacking libalien-wxwidgets-perl (from .../libalien-wxwidgets-perl_0.64+dfsg-1_i386.deb) ...
Selecting previously unselected package libdigest-md5-file-perl.
Unpacking libdigest-md5-file-perl (from .../libdigest-md5-file-perl_0.08-1_all.deb) ...
Selecting previously unselected package libfile-which-perl.
Unpacking libfile-which-perl (from .../libfile-which-perl_1.09-1_all.deb) ...
Selecting previously unselected package libfile-homedir-perl.
Unpacking libfile-homedir-perl (from .../libfile-homedir-perl_0.99-1_all.deb) ...
Selecting previously unselected package libimage-exiftool-perl.
Unpacking libimage-exiftool-perl (from .../libimage-exiftool-perl_9.13-1_all.deb) ...
Selecting previously unselected package libjson-perl.
Unpacking libjson-perl (from .../libjson-perl_2.59-1_all.deb) ...
Selecting previously unselected package libwx-perl.
Unpacking libwx-perl (from .../libwx-perl_1%3a0.9922-1_i386.deb) ...
Selecting previously unselected package libwx-perl-processstream-perl.
Unpacking libwx-perl-processstream-perl (from .../libwx-perl-processstream-perl_0.32-1_all.deb) ...
Selecting previously unselected package subversion.
Unpacking subversion (from .../subversion_1.7.9-1+nmu6ubuntu3_i386.deb) ...
Selecting previously unselected package libfile-slurp-perl.
Unpacking libfile-slurp-perl (from .../libfile-slurp-perl_9999.19-2_all.deb) ...
Processing triggers for man-db ...
Setting up libapr1 (1.4.8-1ubuntu1) ...
Setting up libaprutil1 (1.5.2-1) ...
Setting up libserf1:i386 (1.1.0-2ubuntu1) ...
Setting up libsvn1:i386 (1.7.9-1+nmu6ubuntu3) ...
Setting up libwxbase2.8-0:i386 (2.8.12.1-14ubuntu1.1) ...
Setting up libwxgtk2.8-0:i386 (2.8.12.1-14ubuntu1.1) ...
Setting up wx-common (2.8.12.1-14ubuntu1.1) ...
Setting up wx2.8-headers (2.8.12.1-14ubuntu1.1) ...
Setting up libc-dev-bin (2.17-93ubuntu4) ...
Setting up libc6-dev:i386 (2.17-93ubuntu4) ...
Setting up libwxbase2.8-dev (2.8.12.1-14ubuntu1.1) ...
update-alternatives: using /usr/lib/i386-linux-gnu/wx/config/base-unicode-release-2.8 to provide /usr/bin/wx-config (wx-config) in auto mode
Setting up libwxgtk2.8-dev (2.8.12.1-14ubuntu1.1) ...
update-alternatives: using /usr/lib/i386-linux-gnu/wx/config/gtk2-unicode-release-2.8 to provide /usr/bin/wx-config (wx-config) in auto mode
Setting up libalien-wxwidgets-perl (0.64+dfsg-1) ...
Setting up libdigest-md5-file-perl (0.08-1) ...
Setting up libfile-which-perl (1.09-1) ...
Setting up libfile-homedir-perl (0.99-1) ...
Setting up libimage-exiftool-perl (9.13-1) ...
Setting up libjson-perl (2.59-1) ...
Setting up libwx-perl (1:0.9922-1) ...
Setting up libwx-perl-processstream-perl (0.32-1) ...
Setting up subversion (1.7.9-1+nmu6ubuntu3) ...
Setting up libfile-slurp-perl (9999.19-2) ...
Processing triggers for libc-bin ...
-----------------------------------------------------------------------------------------------------------------------
NOT WORKING
http://piwigo.org/forum/viewtopic.php?id=17504

:| 

No comments:

Post a Comment